Tool: get_project_event
Gets detailed information about a specific service health event.
name(string, required): Name of the event using the formprojects/{project_id}/locations/global/events/{event_id}.
The following sample demonstrate how to use curl to invoke the get_project_event MCP tool.
| Curl Request |
|---|
curl --location 'https://servicehealth.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_project_event", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Gets information about a specific event.
GetEventRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. Unique name of the event in this scope including project and location using the form
|
Output Schema
Represents service health events that may affect Google Cloud products. Event resource is a read-only view and does not allow any modifications. All fields are output only.
Event
| JSON representation |
|---|
{ "name": string, "title": string, "description": string, "category": enum ( |
| Fields | |
|---|---|
name |
Output only. Identifier. Name of the event. Unique name of the event in this scope including project and location using the form |
title |
Output only. Brief description for the event. |
description |
Output only. Free-form, human-readable description. |
category |
Output only. The category of the event. |
detailedCategory |
Output only. The detailed category of the event. |
state |
Output only. The current state of the event. |
detailedState |
Output only. The current detailed state of the incident. |
eventImpacts[] |
Google Cloud products and locations impacted by the event. |
relevance |
Output only. Communicates why a given event is deemed relevant in the context of a given project. |
updates[] |
Output only. Event updates are correspondence from Google. |
parentEvent |
Output only. When |
updateTime |
Output only. The time when the event was last modified. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
startTime |
Output only. The start time of the event, if applicable. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
endTime |
Output only. The end time of the event, if applicable. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
nextUpdateTime |
Output only. The time when the next update can be expected. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
EventImpact
| JSON representation |
|---|
{ "product": { object ( |
| Fields | |
|---|---|
product |
Google Cloud product impacted by the event. |
location |
Location impacted by the event. |
Product
| JSON representation |
|---|
{ "productName": string, "id": string } |
| Fields | |
|---|---|
productName |
Google Cloud product impacted by the event. Example: |
id |
Unique identifier for the product. |
Location
| JSON representation |
|---|
{ "locationName": string } |
| Fields | |
|---|---|
locationName |
Location impacted by the event. Example: |
EventUpdate
| JSON representation |
|---|
{ "updateTime": string, "title": string, "description": string, "symptom": string, "workaround": string } |
| Fields | |
|---|---|
updateTime |
Output only. The time the update was posted. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
title |
Output only. Brief title for the event. |
description |
Output only. Free-form, human-readable description. |
symptom |
Output only. Symptoms of the event, if available. |
workaround |
Output only. Workaround steps to remediate the event impact, if available. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
EventCategory
The category of the event. This enum lists all possible categories of event.
| Enums | |
|---|---|
EVENT_CATEGORY_UNSPECIFIED |
Unspecified category. |
INCIDENT |
Event category for service outage or degradation. |
DetailedCategory
The detailed category of an event. Contains all possible states for all event categories.
| Enums | |
|---|---|
DETAILED_CATEGORY_UNSPECIFIED |
Unspecified detailed category. |
CONFIRMED_INCIDENT |
Indicates an event with category INCIDENT has a confirmed impact to at least one Google Cloud product. |
EMERGING_INCIDENT |
Indicates an event with category INCIDENT is under investigation to determine if it has a confirmed impact on any Google Cloud products. |
State
The state of the event. This enum lists all possible states of event.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Unspecified state. |
ACTIVE |
Event is actively affecting a Google Cloud product and will continue to receive updates. |
CLOSED |
Event is no longer affecting the Google Cloud product or has been merged with another event. |
DetailedState
The detailed state of the incident. This enum lists all possible detailed states of an incident.
| Enums | |
|---|---|
DETAILED_STATE_UNSPECIFIED |
Unspecified detail state. |
EMERGING |
Google engineers are actively investigating the event to determine the impact. |
CONFIRMED |
The incident is confirmed and impacting at least one Google Cloud product. Ongoing status updates will be provided until it is resolved. |
RESOLVED |
The incident is no longer affecting any Google Cloud product, and there will be no further updates. |
MERGED |
The incident was merged into a parent incident. All further updates will be published to the parent only. The parent_event field contains the name of the parent. |
AUTO_CLOSED |
The incident was automatically closed because of the following reasons:
The incident does not have a resolution because no action or investigation happened. If it is intermittent, the incident may reopen. |
FALSE_POSITIVE |
Upon investigation, Google engineers concluded that the incident is not affecting a Google Cloud product. This state can change if the incident is reviewed again. |
Relevance
Communicates why a given incident is deemed relevant in the context of a given project. This enum lists all possible detailed states of relevance.
| Enums | |
|---|---|
RELEVANCE_UNSPECIFIED |
Unspecified relevance. |
UNKNOWN |
The relevance of the incident to the project is unknown. |
NOT_IMPACTED |
The incident does not impact the project. |
PARTIALLY_RELATED |
The incident is associated with a Google Cloud product your project uses, but the incident may not be impacting your project. For example, the incident may be impacting a Google Cloud product that your project uses, but in a location that your project does not use. |
RELATED |
The incident has a direct connection with your project and impacts a Google Cloud product in a location your project uses. |
IMPACTED |
The incident is verified to be impacting your project. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌